
/***        rezept table        ***/

CREATE TABLE REZEPT(
    REZEPTNR            INTEGER NOT NULL,
    `NAME`              VARCHAR(50) NOT NULL,
    ANLEITUNG           VARCHAR(4096)
);

CREATE TABLE REZEPTZUTAT(
    REZEPTNR            INTEGER NOT NULL,
    ZUTATENNR           INTEGER NOT NULL,
    MENGE               INTEGER NOT NULL
);

-- primary keys

ALTER TABLE REZEPT ADD PRIMARY KEY (REZEPTNR);
ALTER TABLE REZEPTZUTAT ADD PRIMARY KEY (REZEPTNR, ZUTATENNR);

-- foreign keys

ALTER TABLE REZEPTZUTAT ADD FOREIGN KEY (ZUTATENNR) REFERENCES ZUTAT (ZUTATENNR);
ALTER TABLE REZEPTZUTAT ADD FOREIGN KEY (REZEPTNR) REFERENCES REZEPT (REZEPTNR);
